using UnityEngine;
using System.Collections;

public class IELoading : StoryEvent
{
    void Start()
    {
        renderer.enabled = false;
    }

    public override void StartStory()
    {
        renderer.enabled = true;
        StartCoroutine("C_IELoading");
    }

    private IEnumerator C_IELoading()
    {
        Debug.Log("Loading begin");
        yield return new WaitForSeconds(3f);
        Debug.Log("Loading end");
        m_Finished = true;
    }
}